# Maintainer: anon at sansorgan.es
pkgname=dune-prismgrid
_tarver=2.3
_tar="${_tarver}/${pkgname}-${_tarver}.tar.gz"
pkgver=${_tarver//-/_}
pkgrel=1
#epoch=
pkgdesc=""
arch=('x86_64')
url="https://dune-project.org/modules/dune-prismgrid"
license=('LGPL3')
groups=('dune-extensions')
depends=('dune-grid>=2.7.1' 'dune-typetree')
makedepends=('vc' 'parmetis')
# makedepends=('texlive-core' 'biber' 'imagemagick' 'python-sphinx' 'doxygen' 'gnu-free-fonts' 'inkscape' 'vc' 'parmetis')
#checkdepends=()
optdepends=(
  'texlive-core: Type setting system'
  'biber: A Unicode-capable BibTeX replacement for biblatex users'
  'imagemagick: image viewing/manipulation program'
  'python-sphinx: Building Sphinx documentation'
  'doxygen: Generate the class documentation from C++ sources'
  'inkscape: converts SVG images'
  'vc: C++ Vectorization library'
  'parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(https://gitlab.dune-project.org/extensions/${pkgname}/-/archive/v${_tarver}/${pkgname}-v${_tarver}.tar.gz)
#noextract=()
sha512sums=('')

# export CPPFLAGS="-I/usr/include/tirpc ${CPPFLAGS}"
# export CFLAGS="-fPIC ${CFLAGS}"
# export CXXFLAGS="-fPIC ${CFLAGS}"
# export LDFLAGS="-ldl -lm -ltirpc"

# prepare() {
# }

build() {
  dunecontrol --opts=${pkgname}.opts cmake : make
}

# check() {
# }

package() {
  dunecontrol --only=${pkgname} make install DESTDIR="${pkgdir}"
  install -Dm644 ${pkgname}-v${pkgver}/COPYING.md "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
  # install -dm755 "${pkgdir}/usr/share/doc/${pkgname}/doxygen"
  find "${pkgdir}" -type d -empty -delete
}
